/*RECOMMENDED FOR MPLAB IDE V.8.63 AND C18 V3.40.USE SOFTWARE BOLT V.1.0.1 TO LOAD
FILE .HEX IN BOLT 18F2550 SYSTEM. TEST PROGRAM FOR MODULE 7X10 LED MATRIX
SHOWS MESSAGE WITH HORIZONTAL SCROLLING. MAY HANDLE MESSAGES OF ANY LENGHT
WRITE YOUR OWN TEXT IN STRING "mensaje". USES 2 GRAPHICS CHARACTERS: A HEART "%&" 
AND AN ARROW "/(". THE SCROLLING SPEED IS CONTROLLED WITH VARIABLE "VELOCIDAD"*/

#include <p18cxxx.h>
#include <delays.h>
#include <stdio.h>		//librera sprintf()
#include <stdlib.h>		//libreras atoi(),atof()
#include "18F2550BOLT.h"

extern void _startup( void ); // See c018i.c in your C18 compiler dir 
#pragma code _RESET_INTERRUPT_VECTOR = 0x000800 
void _reset( void ) 
{ 
    _asm goto _startup _endasm 
} 

#pragma code
unsigned int longitud;				//AQUI SE ESCRIBE LA LONGITUD DEL MENSAJE
int af,cf,bf=0;							//bf es el elemento del arreglo pf[]
int i;							//variable ndice malla principal 
int k;							//variable ndice para arreglo pf[]
int jota,omega=0;				//variables indice para arreglo pf[]
//AQUI SE ESCRIBE EL MENSAJE CON CUALQUIER LONGITUD************
const rom char mensaje[]=".../(BOLT 18F2550...";	//texto que habr de mostrarse, con scrolling
int VELOCIDAD=15;
char pf[40]; 					//arreglo con 36 patrones de columnas (6 caracteres)
#include "LETRASCCS3.h"
int calcula(void);				//funcin calcula longitud de "mensaje[]"
void main()
{
init_bolt();
longitud=calcula();				//calcula longitud de mensaje[]
longitud=longitud-(longitud%4);
malla:
for(omega=0;omega<longitud;omega=omega+4)
{
jota=0;						
	for(k=0;k<6;k++)				//6 caracteres del arreglo "mensaje"
	{
	swatch(mensaje[k+omega]);		//acomoda patrn de columnas en arreglo pf[]
	if(mensaje[k+omega]=='%')goto sigue;  //si es caracter grfico,no aade rengn en blanco
	if(mensaje[k+omega]=='/')goto sigue2;
	pf[jota]=0;	
	jota=jota+1;					//deja una columna en blanco entre caracteres	
	continue;
	sigue:							//si es corazn, aade la columna que falta
	pf[jota]=0x3E;
	jota=jota+1;
	continue;
	sigue2:							//si es flecha, aade la columna que falta
	pf[jota]=0x38;
	jota=jota+1;	
	}			
   		for(bf=0;bf<24;bf++)		//activa el scrolling 24 veces
		{
			for(k=0;k<VELOCIDAD;k++)			//RETRASO EN EL SCROLLING
   			{
   			i=0;        	  			//Inicializamos el contador auxiliar.
   			PORTA=0X00;					//Inicializamos el Puerto A   
   			RA1=1;                     	//Reset al contador
   			delay_us(10);          
   			RA1=0;                     
   	  			for(i=0;i<10;i++)    	  	//malla muestra 10 columnas, 2ms por columna
   	  			{                       	//bf es el elemento del arreglo,i es el offset
      			PORTB=pf[i+bf];           //Mostramos el valor de la columna
	  			delay_ms(1);
	  			RA2=1;                  	//Incrementa el contador         
      			RA2=0;                  
      			}
			PORTB=0;					//evita que encienda brevemente columna 1
   			}
		}
}
goto malla;         					
}

//ESTA FUNCION CALCULA LA LONGITUD DEL STRING "mensaje[]"
//la funcin toma el valor del resultado, que es la variable "af"
int calcula(void)
{
af=0;
	while(1)
	{cf=mensaje[af];
	if(cf==0)return(af);	//ES CARACTER=0?
	af++;
	}
}