/*Test program for Bolt 18F2550. Activates LEDS
RB0...RB3 depending of value of microswitches.
Relay is ON and OFF each second. This is a good
test for leds, microswitches and relay.*/ 

#include <p18cxxx.h>
#include <delays.h>
#include "18F2550BOLT.h"

extern void _startup( void ); // See c018i.c in your C18 compiler dir 
#pragma code _RESET_INTERRUPT_VECTOR = 0x000800 
void _reset( void ) 
{ 
    _asm goto _startup _endasm 
} 

#pragma code



void main()
{
	init_bolt();
		while(1)
		{
		PORTB=microsw();
		RELE=1;
		delay_ms(1000);
		RELE=0;
		delay_ms(1000);
		}	
} 


