// Measure the temperature of DS18B20 SENSOR AND SHOWS IN LCD
// With 2 integers and 1 decimal. USES A function to get the
// Data in a floating point variable. RESTRICTIONS BY
// C18 compiler: the function sprintf () or printf () can not
// Convert to STRINGS floating point variables.
// The program does a conversion to 2 integers values: the
// whole part and the fraccional part.
// Display alternately for 2 seconds the value in degrees
// Celsius and degrees Fahrenheit 2 seconds.


#include <p18cxxx.h>
#include <delays.h>
#include "18F2550BOLT.h"
#include "ONEWIRE-BOLT.h"
#include <stdio.h>	//librera sprintf()
#include <stdlib.h>	//libreras atoi(),atof()

extern void _startup( void ); 
#pragma code _RESET_INTERRUPT_VECTOR = 0x000800 
void _reset( void ) 
{ 
    _asm goto _startup _endasm 
} 

#pragma code

float GRADOS,FARENHEIT;
int entero,decimal;					//parte entera y decimal;
char array[5];
char TEMPE[]="TEMPE=";

void main(void) 
{
	init_bolt();
	InitLCD();
	ClearScreen();
	PrintString(TEMPE);
	while(1)
	{
	GRADOS=ds1820_read();				//GRADOS ES VARIABLE DE PUNTO FLOTANTE
	FARENHEIT=((GRADOS*9)/5)+32;		//Convierte a grados Farenheit
	entero=GRADOS;						//PARTE ENTERA
	decimal=(GRADOS-entero)*10;			//PARTE DECIMAL
	sprintf(array,"%3d.%d",entero,decimal);		//CONVIERTE A STRING 
	GotoXY(1,0);
	PrintString(array);
	PutLCD(32);							//espacio
	PutLCD(214);						//smbolo de grados
	PutLCD('C');
	delay_ms(2000);
	entero=FARENHEIT;						//PARTE ENTERA
	decimal=(FARENHEIT-entero)*10;			//PARTE DECIMAL
	sprintf(array,"%3d.%d",entero,decimal);		//CONVIERTE A STRING 
	GotoXY(1,0);
	PrintString(array);
	PutLCD(32);							//espacio
	PutLCD(214);						//smbolo de grados
	PutLCD('F');						//Farenheit
	delay_ms(2000);
	}

}



