//USE HYPERTERMINAL SERIAL 9600 BPS
//SENDS "0K>" AND WAIT FOR USER RESPONSE:
//COMMAND R1=RELAY ON
//COMMAND R0=RELAY OFF
//COMMAND T = SENDS: "TIEMPO="
//USER MUST TYPE NUMBER OF SECONDS(MAXIMUM 255)
//THE REALY WILL BE ACTIVATED
//COMMAND S
//SENDS DECIMAL VALUE OF 4 MICROSWITCHES (0..15),
//"S=12" (EXAMPLE)
//AFTER EACH COMMAND, SENDS "OK>"
//FUNCTIONS WITH BLUETOOTH MODULE AND BOLT 18F2550
//SYSTEM.

#include <p18cxxx.h>
#include <delays.h>
#include <usart.h>
#include <stdio.h>
#include <stdlib.h>
#include "18F2550BOLT.h"
#include "SERIAL-PORT-BOLT.h"

extern void _startup( void ); 
#pragma code _RESET_INTERRUPT_VECTOR = 0x000800 
void _reset( void ) 
{ 
    _asm goto _startup _endasm 
} 
#pragma code
			
void retraso(int a);
char a,b;
char array[10];
int TIEMPO;

void main(void)
{
init_bolt();
activa_serial();
	while(1)
	{
	printf("\r\n");
	printf("OK>");
	a=getcECO();
		if(a=='R')
		{
		b=getcECO();
		if (b=='0'){RELE=0;}
		if (b=='1'){RELE=1;}
		}
		if(a=='T')
		{
		printf("\r\nTIEMPO=");
				for(a=0;a<5;a++)		//RECIBE NUMERO TERMINA CON "CR"
				{array[a]=getcNOECO();
				if (array[a]==13)goto wo;	//13="CR"
				putcUSART(array[a]);
				}
		wo:
		array[a]=0;				//caracter null
		TIEMPO=atoi(array);		//convierte a int
		printf("\r\n%u SEGUNDOS",TIEMPO);
		RELE=1;
		retraso(TIEMPO);
		RELE=0;
		}
		if(a=='S')
		{
		b=microsw();
		printf("\r\nS=%d",b);
		}
	}

}


void retraso(int a)
{
int b;
	for(b=0;b<a;b++)
	{
	delay_ms(1000);
	}
}
