/*For Bolt 18F2550. Test program for LCD.
Shows a message of a maximum of 8 characters.*/

#include <p18cxxx.h>
#include <delays.h>
#include "18F2550BOLT.h"

extern void _startup( void ); 
#pragma code _RESET_INTERRUPT_VECTOR = 0x000800 
void _reset( void ) 
{ 
    _asm goto _startup _endasm 
} 

#pragma code
const char wob[]="AMIGO";
void main()
{
	init_bolt();
	InitLCD();
	ClearScreen();
	PrintString(wob);
	GotoXY(1,0);
	PrintString(wob);
	for(;;);
} 


